<template>
  <require from="./lucro-diario.css"></require>

	<div class="container-panel lucro-diario-section w-100">
    <div class="container-header" show.bind="isUserInRole('MASTER') || isUserInRole('SUPER')">
      <h1 click.delegate="buscarLucro()">Movimentação Diária <span class="curr-date" 
          click.delegate="onOpendDatePicker()">${dataSelecionada}</span>
        <i class="fa-solid fa-calendar" click.delegate="onOpendDatePicker()"></i>
        <input type="text"  id="selectedDateLucroDiario" class="d-none"></input>
        <input type="text"  value.bind="nomeConta"   class="d-none"></input>
      </h1>
    </div>

    <div class="container-body">
      <div class="search-area" show.bind="isUserInRole('MASTER') || isUserInRole('SUPER')">
        <input value.bind="nomeConta" keyup.delegate="doSearch($event)" type="text" class="form-control" placeholder="pesquisar...">
      
      </div>
      <!-- isUserInRole('COCKPIT') -->
      <div show.bind="isUserInRole('COCKPIT') || isUserInRole('OPERADOR') " class="client-main-area client-main-area-cock" id="mainArea">
        <div class="content-wrapper">
          <div class="container-fluid h-100">
            <div class="row">
              <div class="col-xl-3 col-sm-6 mb-1">
                <div class="card-statistics card text-white bg-light-blue">
                  <div class="card-body text-dark shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-money-bill-transfer"></i>
                    </div>
                    <div class="mr-5 title">Capital disponível</div>
                    <div class="mr-5 value">R$ ${status.saldo}</div>
                  </div>
                </div>
              </div>
              <div data-wenk-pos="bottom" data-wenk="👉 Visualizar entradas" style="cursor:pointer" class="col-xl-3 col-sm-6 mb-1" dblclick.delegate="removeDblClick()" click.delegate="abrirOperacao(getProperty('id'))">
                <div class="card-statistics card text-white bg-light-yellow" id="container-operacao">
                  <div class="card-body shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-comments-dollar"></i>
                    </div>
                    <div  class="mr-5 title">Capital em operação</div>
                    <div class="mr-5 value">R$ ${status.operando}</div>
                  </div>
                </div>
              </div>
              <div class="col-xl-3 col-sm-6 mb-1">
                <div class="card-statistics card text-white bg-light-green" show.bind="!status.red">
                  <div class="card-body shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-money-bill-trend-up"></i>
                    </div>
                    <div class="lucro-diario-content">
                      <div class="mr-5 title">
                        Lucro do dia
                        <div class="lucro-dia-date">
                          <span click.delegate="onOpendDatePicker('lucro-dia')">${ajustarDia(lucroDiaDate)}</span>
                          <input type="text" id="lucroDiaDate" class="d-none"></input>
                        </div>
                      </div>
                      <div class="mr-5 value">R$ ${status.lucro}</div>
                    </div>
                  </div>
                </div>
                <div class="card-statistics card text-white bg-light-red" show.bind="status.red">
                  <div class="card-body shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-money-bill-trend-up"></i>
                    </div>
                    <div class="lucro-diario-content">
                      <div class="mr-5 title">
                        Lucro do dia
                        <div class="lucro-dia-date">
                          <span click.delegate="onOpendDatePicker('lucro-dia')">${ajustarDia(lucroDiaDate)}</span>
                          <input type="text" id="lucroDiaDate" class="d-none"></input>
                        </div>
                      </div>
                      <div class="mr-5 value">R$ ${status.lucro}</div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-xl-3 col-sm-6 mb-1" show.bind="status.red">
                <div class="card-statistics card text-white bg-light-red">
                  <div class="card-body shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-filter-circle-dollar"></i>
                    </div>
                    <div class="mr-5 title">% Lucro do dia</div>
                    <div class="mr-5 value"> ${status.operacaoDiaria.percentualDiario} %</div>
                  </div>
                </div>
              </div>
              <div class="col-xl-3 col-sm-6 mb-1" show.bind="!status.red">
                <div class="card-statistics card text-white bg-light-perc">
                  <div class="card-body shadow">
                    <div class="card-body-icon">
                      <i class="fa-solid fa-filter-circle-dollar"></i>
                    </div>
                    <div class="mr-5 title">% Lucro do dia</div>
                    <div class="mr-5 value">+ ${status.operacaoDiaria.percentualDiario} % </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="client-tabs-row row">
              <div class="row client-tabs col-12 px-0 pb-1">
                <div class="card h-100 w-100 p-0">
                  <div class="card-body shadow p-0">
                    <!-- <nav>
                      <div class="nav nav-tabs mb-3" id="nav-tab" role="tablist">
                        <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab" data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home" aria-selected="true">
                          Análise Gráfica
                        </button>
                      </div>
                    </nav> -->
                    <div class="tab-content p-0" id="nav-tabContent">
                      <div class="tab-pane fade active show" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                          <div class="dates">
                            <span class="title">Operações diárias</span>
                            <!-- <div class="first-date">
                              <span class="period">Data inicial: </span>
                              <span class="curr-date" click.delegate="onOpendDatePicker('initial')">${ajustarDia(initialDate)}</span>
                              <input type="text" id="clientInitialDate" class="d-none"></input>
                            </div>
                            <div class="final-date">
                              <span class="period">Data final: </span>
                              <span class="curr-date" click.delegate="onOpendDatePicker('final')">${ajustarDia(finalDate)}</span>
                              <input type="text" id="clientFinalDate" class="d-none"></input>
                            </div> -->
                          </div>
                          <canvas id="chLineLucro"></canvas>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>   
      </div>

      <!-- isUserInRole('MASTER') || isUserInRole('SUPER')" -->
      <div class="table-responsive table-header-fixed" show.bind="isUserInRole('MASTER') || isUserInRole('SUPER')">
        <table class="table table-sm table-striped" id="tabela-lucro">
          <thead>
              <tr>
                <th scope="col">Conta</th>
                <th scope="col"  >Disponível</th> 
                <th scope="col" class="text-center">Ganho</th>
                <th scope="col" class="text-center">Perda</th>
                <th scope="col" class="text-center">Lucro</th> 
                <th scope="col" class="text-center">Operando</th> 
                <th scope="col" class="text-center">Meta Atingida</th> 
                <th scope="col" class="text-center">Meta</th>
                <th scope="col" class="text-center">Operações</th> 
              </tr>
            </thead>
            <tbody>
              <tr repeat.for="lucro of lucrosData">  
                <td>${lucro.login.nome}</td> 
                <td>R$ ${lucro.saldoDisponivelS}</td> 
                <td class="text-center operacao-lucro ">R$ ${lucro.lucroS}</td>  
                <td class.bind="getCssPerda(lucro)">R$ ${lucro.perdaS}</td>
                <td class.bind="getCssLucro(lucro)">R$ ${lucro.lucroReal}</td>
                <td dblclick.delegate="removeDblClick()" click.delegate="abrirOperacao(lucro.login.id)" class.bind="getCssOperacao(lucro)">R$ ${lucro.saldoOperacaoS}</td>
                <td class.bind="lucro.atingiuMeta == false ? 'meta-nao-cumprida text-center' : 'meta-cumprida text-center'" >${lucro.atingiuMeta == false? 'Não':'Sim'}</td>  
                <td class.bind="getCssMeta(lucro)" >${lucro.meta}% - <span style="font-weight: 600;" >${lucro.percentualDiario}% </span></td>
                <td class="text-center operacoes">${lucro.win}/ <span class.bind="getCssRed(lucro.lost)">${lucro.lost}</span></td>
              </tr>
            </tbody>
        </table>
      </div>
    </div>
	</div>

  <div class="modal fade" id="modal-entradas" tabindex="-1" aria-labelledby="modal-exampleLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body" id="modal-odds">
          <div class="modal-odds-content">
            <div class="odds-accounts">
              <div class="card-accounts card">
                <div class="card-accounts-title">
                  <span>${partida.titulo}</span>
                </div>
                <div class="card-accounts-content card-body" id="body-copy">
                  <div class="search-account-results table-responsive">
                    <table class="table">
                      <tbody>
                        <tr repeat.for="p of operacoes">
                          <td>
                            <span class="name">${p.titulo} - ${p.nomeMercado}</span>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="modal-odds-actions">
                     <button type="button" click.delegate="removeDblClick()" class="btn btn-warning" data-bs-dismiss="modal" id="btn-odds-close">Fechar</button>  
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- <div class="actions-area" if.bind="isUserInRole('SUPER')">
    <button type="button" class="btn btn-light btn-sm" click.delegate="onRefresh()">Atualizar</button>
  </div> -->
</template>
